<?php 
/**
 * The Header template file. 
 *
 *
 * @package      Tuned
 * @author       Elod Horvath
 * @copyright    2013-... Elod Horvath
 * @since        1.0
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0" />
	<title><?php wp_title(); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" type="text/css" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />	
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri() ?>/js/vendor/html5shiv.js" type="text/javascript"></script>	
	<![endif]-->	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="container" class="site">

	<header id="masthead" class="site-header" role="banner">
		<hgroup class="logo">
			<?php if( get_header_image() == '' ) : ?>
			<h1 class="site-name"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>			
			<?php else : ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( get_header_image() ); ?>" alt="<?php echo bloginfo( 'name' ); ?>" width="<?php echo get_custom_header()->width ?>" height="<?php echo get_custom_header()->height; ?>" /></a>
			<?php endif; ?>
		</hgroup><!-- end of .logo -->
		
		<nav class="main-navigation" role="navigation">
			<h3 class="menu-toggle"><?php _e( 'Menu', 'tuned' ); ?></h3>
			<?php wp_nav_menu( array('theme-location' => 'primary' )); ?>
		</nav><!-- end of .main-navigation -->
		
	</header><!-- end of #masthead .site-header -->					
	
	<div id="main" class="site-main">