<?php

//Hero Widget
class Tuned_Hero_Widget extends WP_Widget {

	function tuned_Hero_Widget() {
		parent::__construct( false, 'Hero' );
	}
	
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'hero-heading' => '', 'hero-tagline' => '', 'hero-button' => '', 'hero-button-link' => '' ) );
		$hero_heading = $instance['hero-heading'];
		$hero_tagline = $instance['hero-tagline'];
		$hero_button = $instance['hero-button'];
		$hero_button_link = $instance['hero-button-link'];
	?>	
		<p><label for="<?php echo $this->get_field_id('hero-heading'); ?>"><?php _e('Heading', 'tuned') ?>: <input class="widefat" 
		id="<?php echo $this->get_field_id('hero-heading'); ?>" name="<?php echo $this->get_field_name('hero-heading'); ?>" 
		value="<?php echo esc_attr($hero_heading); ?>" /></label></p>
		
		<p><label for="<?php echo $this->get_field_id('hero-tagline'); ?>"><?php _e('Tagline', 'tuned') ?>: <input class="widefat" 
		id="<?php echo $this->get_field_id('hero-tagline'); ?>" name="<?php echo $this->get_field_name('hero-tagline'); ?>" 
		value="<?php echo esc_attr($hero_tagline); ?>" /></label></p>
		
		<p><label for="<?php echo $this->get_field_id('hero-button'); ?>"><?php _e('Button', 'tuned') ?>: <input class="widefat" 
		id="<?php echo $this->get_field_id('hero-button'); ?>" name="<?php echo $this->get_field_name('hero-button'); ?>" 
		value="<?php echo esc_attr($hero_button); ?>" /></label></p>
		
		<p><label for="<?php echo $this->get_field_id('hero-button-link'); ?>"><?php _e('Link', 'tuned') ?>: <input class="widefat" 
		id="<?php echo $this->get_field_id('hero-button-link'); ?>" name="<?php echo $this->get_field_name('hero-button-link'); ?>" 
		value="<?php echo esc_attr($hero_button_link); ?>" /></label></p>
		
	<?php
	}
	
	function update($args, $old_instance) {
		$instance = $old_instance;
		$instance['hero-heading'] = $args['hero-heading'];
		$instance['hero-tagline'] = $args['hero-tagline'];
		$instance['hero-button'] = $args['hero-button'];
		$instance['hero-button-link'] = $args['hero-button-link'];
		return $instance;
	}
	
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);	
		
		echo $before_widget;
		
		$hero_heading = empty($instance['hero-heading']) ? 'Heading' : $instance['hero-heading'];
		$hero_tagline = empty($instance['hero-tagline']) ? 'Tagline' : $instance['hero-tagline'];
		$hero_button = $instance['hero-button'];
		$hero_button_link = $instance['hero-button-link'];
		?>
		
		<div class="hero-unit">
			<h1><?php echo $hero_heading; ?></h1>
			<p><?php echo $hero_tagline; ?></p>
			<?php if( !empty($hero_button) ) : ?>
			<a href="<?php echo esc_url( $hero_button_link ); ?>" class="btn-hero">
					<?php echo $hero_button; ?>			
			</a>
			<?php endif; ?>
		</div>
		
		<?php
		echo $after_widget;
	}
}


//Post Widget
class Tuned_Post_Widget extends WP_Widget {

	function tuned_Post_Widget() {
		parent::__construct( false, 'Post for Grid' );
	}
	
	function form($instance) {
		$instance = wp_parse_args( (array) $instance, array( 'post-slug' => '' ) );
		$post_slug = $instance['post-slug'];		
	?>	
		<p><label for="<?php echo $this->get_field_id('post-slug'); ?>"><?php _e('Slug of the Post', 'tuned') ?>: <input class="widefat" 
		id="<?php echo $this->get_field_id('post-slug'); ?>" name="<?php echo $this->get_field_name('post-slug'); ?>" 
		value="<?php echo esc_attr($post_slug); ?>" /></label></p>				
		
	<?php
	}
	
	function update($args, $old_instance) {
		$instance = $old_instance;
		$instance['post-slug'] = $args['post-slug'];		
		return $instance;
	}
	
	function widget($args, $instance) {
		extract($args, EXTR_SKIP);				
		
		echo $before_widget;
		
		$post_slug = empty($instance['post-slug']) ? 'Heading' : $instance['post-slug'];
		$post_by_slug = new WP_Query( 'name='. $post_slug .'' );
		?>
				
			<?php while( $post_by_slug->have_posts() ) : $post_by_slug->the_post(); ?>				
				<h1><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>				
				<?php the_post_thumbnail(); ?>
				<p><?php the_excerpt(); ?></p>
				<p><?php edit_post_link( __( 'Edit', 'tuned' ), '<span class="edit-link">', '</span>' ); ?></p>
			<?php endwhile; ?>
				
		<?php
		echo $after_widget;
	}
}